{% extends "base.html" %}
{% block content %}

<div id="post_form">
	<p>{{ message|safe }}</p>
	<h2>Edit Post</h2>
	{%  if user.is_authenticated and request.user.username == post.username %}
		<form action="" method="post">
			{% csrf_token %}
			{{form.as_p }}
			<input type="submit" value="Submit">
		</form>
	{% else %}
		<p>You are not logged in and cannot post. Click here to <a href="{% url 'login' %}">log in</a> or <a href="{% url 'register' %}">register</a>.</p>
	{% endif %}
</div>

{% endblock content %}
